## GESTextOverlayClip GESTextOverlayClip — Render text onto another stream in a GESLayer |

## Functions

GESTextOverlayClip * | ges_text_overlay_clip_new ()
const gchar * | ges_text_overlay_clip_get_text ()
const gchar * | ges_text_overlay_clip_get_font_desc ()

## Properties

guint | color | Read / Write / Construct
gchar * | font-desc | Read / Write / Construct
GESTextHAlign | halignment | Read / Write / Construct
gchar * | text | Read / Write / Construct
GESTextVAlign | valignment | Read / Write / Construct
gdouble | xpos | Read / Write / Construct
gdouble | ypos | Read / Write / Construct

## Types and Values

| GESTextOverlayClip

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESContainer
                    ╰── GESClip
                        ╰── GESOperationClip
                            ╰── GESOverlayClip
                                ╰── GESTextOverlayClip

## Implemented Interfaces

GESTextOverlayClip implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

Renders text onto the next lower priority stream using textrender.

## Functions

### ges_text_overlay_clip_new ()

    GESTextOverlayClip *
    ges_text_overlay_clip_new (void);

Creates a new GESTextOverlayClip

#### Returns

The newly created GESTextOverlayClip, or `NULL` if there was an error.

[transfer floating][nullable]

### ges_text_overlay_clip_get_text ()

    const gchar *
    ges_text_overlay_clip_get_text (GESTextOverlayClip *self);

Get the text currently set on `self` .

#### Parameters

self | a GESTextOverlayClip |

#### Returns

The text currently set on `self` .

### ges_text_overlay_clip_get_font_desc ()

    const gchar *
    ges_text_overlay_clip_get_font_desc (GESTextOverlayClip *self);

Get the pango font description used by `self` .

#### Parameters

self | a GESTextOverlayClip |

#### Returns

The pango font description used by `self` .

## Types and Values

### GESTextOverlayClip

    typedef struct _GESTextOverlayClip GESTextOverlayClip;

## Property Details

### The `“color”` property

      “color”                    guint

The color of the text

Flags: Read / Write / Construct

Default value: 4294967295

### The `“font-desc”` property

      “font-desc”                gchar *

Pango font description string

Flags: Read / Write / Construct

Default value: "Serif 36"

### The `“halignment”` property

      “halignment”               GESTextHAlign

Horizontal alignment of the text

Flags: Read / Write / Construct

Default value: GES_TEXT_HALIGN_CENTER

### The `“text”` property

      “text”                     gchar *

The text to diplay

Flags: Read / Write / Construct

Default value: ""

### The `“valignment”` property

      “valignment”               GESTextVAlign

Vertical alignent of the text

Flags: Read / Write / Construct

Default value: GES_TEXT_VALIGN_BASELINE

### The `“xpos”` property

      “xpos”                     gdouble

The horizontal position of the text

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 0.5

### The `“ypos”` property

      “ypos”                     gdouble

The vertical position of the text

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 0.5